Остановка рекуррентного платежа
DELETE/services/:service_id/recurrents/:recurrent_order_id
Удаление связки recurrent_order_id
Request
Path Parameters
номер магазина
ссылка на первый рекуррентный платеж
Responses
- 204
- 400
- 401
- 404
- 429
- 498
No Content
Bad Request
- application/json
- Schema
- Example (from schema)
- BadRequest
- InvalidParameterValue
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "missing_required_request_parameter",
"message": "Отсутствует обязательный параметр запроса"
}
{
"code": "invalid_parameter_value",
"message": "Некорректный параметр запроса"
}
Unauthorized
- application/json
- Schema
- Example (from schema)
- Unauthorized
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "unauthorized",
"message": "Ошибка аутентификации"
}
Not Found
- application/json
- Schema
- Example (from schema)
- NotFound
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "resource_not_found",
"message": "Запрашиваемая информация не найдена"
}
Too Many Requests
- application/json
- Schema
- Example (from schema)
- Too Many Requests
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "too_many_requests",
"message": "Превышено ограничение на количество запросов в секунду"
}
Invalid Token
- application/json
- Schema
- Example (from schema)
- Bad Invoice Id
- No Service Id
Schema
Possible values: [internal_server_error, too_many_requests, request_is_not_valid, invalid_token, no_permissions, unauthorized, bad_request, not_found, reference_not_found, duplicate, not_unique, not_null_or_unique, not_allowed, not_allowed_for_archived, try_later, operation_cannot_be_performed, wrong_service_id_or_api_key, missing_required_request_parameter, resource_not_found, invalid_parameter_value, unknown_error_code]
{
"error_code": "internal_server_error",
"message": "string",
"status": "string"
}
{
"code": "invalid_token",
"message": "Ошибка JWT Token. Вы не можете проводить операцию для этого invoice_id",
"info": "Invoice in JWT token doesn't match invoice from URL"
}
{
"code": "invalid_token",
"message": "Ошибка JWT Token. Идентифик атор service_id в теле токена не может быть пустым",
"info": "JWT token must contain service_id"
}